import 'package:flutter/material.dart';

class NotFound extends StatelessWidget {
  final String text;
  const NotFound({Key key, this.text}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Column(
          children: [
            SizedBox(height: 30.0,),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                Image.asset('assets/images/notfoundimg.png',height: 200.0,),
              ],
            ),
            SizedBox(height: 20.0,),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                Text(text, style: TextStyle(fontSize: 20.0),)
              ],
            ),
          ],
        ),
      ),
    );
  }
}
